<section class="top-nav">
  <img class="logo" [routerLink]="['/']" src="assets/images/lol-icon.jpeg" />
  <ul class="menu">
    <li><a [routerLink]="['/']">Home</a></li>
    <li><a [routerLink]="['/', 'summoner']">Summoner</a></li>
    <li><a [routerLink]="['/', 'champion']">Champions</a></li>
    <li><a [routerLink]="['/analytics']">Analytics</a></li>
    <!-- <app-search></app-search> -->
  </ul>

  <button mat-icon-button [matMenuTriggerFor]="menu" class="burger-icon">
    <mat-icon>menu</mat-icon>
  </button>
</section>

<mat-menu #menu="matMenu" class="navbar-menu">
  <button mat-menu-item>
    <a [routerLink]="['/']">Home</a>
  </button>
  <button mat-menu-item>
    <a [routerLink]="['/', 'summoner']">Summoner</a>
  </button>
  <button mat-menu-item>
    <a [routerLink]="['/', 'champion']">Champions</a>
  </button>
  <button mat-menu-item>
    <a [routerLink]="['/analytics']">Analytics</a>
  </button>
</mat-menu>
